<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1font.html">font</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::font Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1font.html">dlib::font</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ascender</b>() const =0 (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>compute_cursor_pos</b>(const rectangle &amp;rect, const std::basic_string&lt; T, traits, alloc &gt; &amp;str, long x, long y, typename std::basic_string&lt; T, traits, alloc &gt;::size_type first=0, typename std::basic_string&lt; T, traits, alloc &gt;::size_type last=(std::basic_string&lt; T, traits, alloc &gt;::npos)) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>compute_cursor_rect</b>(const rectangle &amp;rect, const std::basic_string&lt; T, traits, alloc &gt; &amp;str, unsigned long index, typename std::basic_string&lt; T, traits, alloc &gt;::size_type first=0, typename std::basic_string&lt; T, traits, alloc &gt;::size_type last=(std::basic_string&lt; T, traits, alloc &gt;::npos)) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>compute_size</b>(const std::basic_string&lt; T, traits, alloc &gt; &amp;str, unsigned long &amp;width, unsigned long &amp;height, typename std::basic_string&lt; T, traits, alloc &gt;::size_type first=0, typename std::basic_string&lt; T, traits, alloc &gt;::size_type last=(std::basic_string&lt; T, traits, alloc &gt;::npos)) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>draw_string</b>(const canvas &amp;c, const rectangle &amp;rect, const std::basic_string&lt; T, traits, alloc &gt; &amp;str, const pixel_type &amp;color, typename std::basic_string&lt; T, traits, alloc &gt;::size_type first=0, typename std::basic_string&lt; T, traits, alloc &gt;::size_type last=(std::basic_string&lt; T, traits, alloc &gt;::npos), const rectangle area_=rectangle(std::numeric_limits&lt; long &gt;::min(), std::numeric_limits&lt; long &gt;::min(), std::numeric_limits&lt; long &gt;::max(), std::numeric_limits&lt; long &gt;::max())) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>draw_string</b>(const canvas &amp;c, const rectangle &amp;rect, const std::basic_string&lt; T, traits, alloc &gt; &amp;str) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>has_character</b>(unichar ch) const =0 (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>has_character</b>(char ch) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>has_character</b>(wchar_t ch) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>height</b>() const =0 (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>left_overflow</b>() const =0 (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(char ch) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(wchar_t ch) const (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(unichar ch) const =0 (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>right_overflow</b>() const =0 (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~font</b>() (defined in <a class="el" href="classdlib_1_1font.html">dlib::font</a>)</td><td class="entry"><a class="el" href="classdlib_1_1font.html">dlib::font</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
